## libsmi 0.4.8%2Bdfsg2

=== debian/changelog ===
libsmi (0.4.8+dfsg2-16) unstable; urgency=medium

  [ Ansgar Burchardt ]
  * Explicit pass SH=/bin/sh to configure to make build reproducible
    between merged-usr and non-merged-usr systems. Closes: #915164.

  [ Vincent Bernat ]
  * d/control: promote libsmi-common to priority optional.
  * d/control: remove obsolete Vcs-* fields.

 -- Vincent Bernat <bernat@debian.org>  Sun, 02 Dec 2018 14:45:48 +0100

libsmi (0.4.8+dfsg2-15) unstable; urgency=medium

  * Add /var/lib/snmp/mibs/site to the default search path for MIB files.

 -- Vincent Bernat <bernat@debian.org>  Thu, 17 Nov 2016 15:33:25 +0100

libsmi (0.4.8+dfsg2-14) unstable; urgency=medium

  * d/watch: update to new URL. Thanks to Martin Bagge for the
    patch. Closes: #839806.

 -- Vincent Bernat <bernat@debian.org>  Wed, 05 Oct 2016 13:32:13 +0200

libsmi (0.4.8+dfsg2-13) unstable; urgency=medium

  * Fix default paths to MIB files as they have been moved by
    libsmmp-base. Keep some of the old paths to avoid breakage.

 -- Vincent Bernat <bernat@debian.org>  Mon, 19 Sep 2016 10:33:59 +0200

libsmi (0.4.8+dfsg2-12) unstable; urgency=medium

  * Fix FTBFS due to type mismatch introduced by the Bison patch.
    Closes: #834157.
  * d/control: bump Standards-Version.
  * d/control: use secure URL for Vcs-*.
  * d/control: remove -dbg package, use automatic -dbgsym package instead.

 -- Vincent Bernat <bernat@debian.org>  Sat, 13 Aug 2016 13:06:20 +0200

libsmi (0.4.8+dfsg2-11) unstable; urgency=medium

  * Ensure build with -A is possible. Closes: #806062.

 -- Vincent Bernat <bernat@debian.org>  Fri, 27 Nov 2015 22:27:02 +0100

libsmi (0.4.8+dfsg2-10) unstable; urgency=medium

  * Use dh-autoreconf to fix FTBFS on ppc64el. Closes: #757214.

 -- Vincent Bernat <bernat@debian.org>  Wed, 06 Aug 2014 11:12:01 +0200

libsmi (0.4.8+dfsg2-9) unstable; urgency=low

  * Make the -dbg package multi-arch "same".
  * Fix FTBFS due to a change in Bison. Closes: #733361.
    Thanks to Andy Whitcroft.
  * Bump Standards-Version to 3.9.5.

 -- Vincent Bernat <bernat@debian.org>  Thu, 17 Apr 2014 08:23:19 +0200

libsmi (0.4.8+dfsg2-8) unstable; urgency=low

  * Update config.{guess,sub} with autotools-dev package. This enables
    support for AArch64 port. Closes: #727439.
  * Bump Standards-Version to 3.9.4.
  * Fix Vcs-* fields.
  * Add some lintian overrides.

 -- Vincent Bernat <bernat@debian.org>  Sun, 27 Oct 2013 12:16:15 +0100

libsmi (0.4.8+dfsg2-7) unstable; urgency=low

  * Remove debian/shlibs.local since we use a symbols file. Also, the file
    was incorrect. Closes: #701622.

 -- Vincent Bernat <bernat@debian.org>  Mon, 25 Feb 2013 20:21:27 +0100

libsmi (0.4.8+dfsg2-6) unstable; urgency=low

  * Fix a segfault when reading partially invalid MIB. Closes: #600076.
  * Add a symbols file.

 -- Vincent Bernat <bernat@debian.org>  Fri, 08 Jun 2012 23:32:46 +0200

libsmi (0.4.8+dfsg2-5) unstable; urgency=low

  * Switch to debhelper 9 with tiny set of rules.
    This also happens to enable hardening flags. Closes: #654812.
  * Programs in libsmi2ldbl are now shipped in `smitool` package.
  * Enable multiarch for libsmi2ldbl.

 -- Vincent Bernat <bernat@debian.org>  Sat, 07 Jan 2012 14:39:48 +0100

libsmi (0.4.8+dfsg2-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.2.
  * Get rid of *.la. Closes: #622450.
  * Switch to 3.0 (quilt) format.

 -- Vincent Bernat <bernat@debian.org>  Wed, 18 May 2011 13:25:14 +0200

libsmi (0.4.8+dfsg2-3) unstable; urgency=high

  * Really ship Debian.NEWS.
  * Fix CVE-2010-2891: buffer overflow when handling large OID.
  * Update Standards-Version to 3.9.1.

 -- Vincent Bernat <bernat@debian.org>  Sat, 23 Oct 2010 15:17:37 +0200

libsmi (0.4.8+dfsg2-2) unstable; urgency=low

  * Suggest snmp-mibs-downloader, a package in contrib that will download
    MIB from Internet, if requested by the user, instead of libsnmp-base.
  * Upload to unstable.
  * Update NEWS.Debian.
  * Ship smistrip in a separate package.
  * Update paths in shipped smi.conf.

 -- Vincent Bernat <bernat@debian.org>  Thu, 03 Dec 2009 20:38:40 +0100

libsmi (0.4.8+dfsg2-1) experimental; urgency=low

  * Repack the upstream tarball to drop all MIB: those are licensed like
    IETF RFC and therefore will be provided by a non-free/contrib
    package. For the moment, we suggest libsnmp-base for this purpose.
    Closes: #498476.
  * libsmi2-common is now an empty transitional package (which suggests
    libsnmp-base).
  * Ship to experimental until we know the definitive name of the package
    that will download MIB.
  * Add a NEWS.Debian file to explain the change. We will change it later.
  * Bump Standards-Version to 3.8.3.
  * Add a patch from Jochen Friedrich to enhance smistrip. Closes: #558128.

 -- Vincent Bernat <bernat@debian.org>  Sun, 15 Nov 2009 12:15:07 +0100

libsmi (0.4.8+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Adopting libsmi. Thanks to Remco van de Meent for taking care of
    it. Closes: #527855.
  * Thanks to Jan Lübbe for latest NMU.
  * Clean up diff.gz.
  * Clean up debian/rules :
     + we don't run autotools. Closes: #206280.
     + provide a shorter way to link manual pages.
     + use dh_install instead of dh_movefiles
  * Add a -dbg package. Closes: #498361.
  * Dump to Standards-Version 3.8.1.
  * Add Homepage field in debian/control.
  * Add Vcs-* fields in debian/control.
  * Add ${misc:Depends} in debian/control.
  * Fix debian/watch with respect to +dfsg extension.
  * smi_render manpage migrate from libsmi2 to libsmi2-dev package.
  * Fix shipped smi.conf to not use ${HOME} macro which is not
    supported. Closes: #499101.
  * Add a patch to fix display of octet strings. Closes: #499098.
  * Remove useless postinst script. This is handled by debhelper.

 -- Vincent Bernat <bernat@debian.org>  Fri, 15 May 2009 22:49:32 +0200

libsmi (0.4.7+dfsg-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Repack the upstream tarball to drop non-free IETF documents (closes:

