=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// ftp://ftp.ibr.cs.tu-bs.de/pub/local/libsmi/libsmi-([^c].*)\.tar\.gz	debian	uupdate
